Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNumberList.NumberListBuilder

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGNumberList.NumberListBuilder

All Implemented Interfaces:
  NumberListHandler

Enclosing class:
  AbstractSVGNumberList

protected class AbstractSVGNumberList.NumberListBuilder
extends java.lang.Object
implements NumberListHandler

Helper class to interface the `NumberListParser` and the `NumberHandler`

Field Summary
`protected float` | `currentValue`
`protected ListHandler` | `listHandler` list handler.

Constructor Summary
`AbstractSVGNumberList.NumberListBuilder(ListHandler listHandler)`

Method Summary
`void` | `endNumber()` Implements `org.apache.batik.parser.NumberHandler#endNumber()`.
`void` | `endNumberList()` Invoked when the number list attribute ends.
`void` | `numberValue(float v)` Implements `org.apache.batik.parser.NumberHandler#numberValue(float)`.
`void` | `startNumber()` Implements `org.apache.batik.parser.NumberHandler#startNumber()`.
`void` | `startNumberList()` Invoked when the number list attribute starts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listHandler

    protected ListHandler listHandler

  list handler.

### currentValue

    protected float currentValue

Constructor Detail

### AbstractSVGNumberList.NumberListBuilder

    public AbstractSVGNumberList.NumberListBuilder(ListHandler listHandler)

Method Detail

### startNumberList

    public void startNumberList()
                         throws ParseException

  Description copied from interface: `NumberListHandler`
  Invoked when the number list attribute starts.

  Specified by:
    `startNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

### startNumber

    public void startNumber()
                     throws ParseException

  Implements `org.apache.batik.parser.NumberHandler#startNumber()`.

  Specified by:
    `startNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### numberValue

    public void numberValue(float v)
                     throws ParseException

  Implements `org.apache.batik.parser.NumberHandler#numberValue(float)`.

  Specified by:
    `numberValue` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### endNumber

    public void endNumber()
                   throws ParseException

  Implements `org.apache.batik.parser.NumberHandler#endNumber()`.

  Specified by:
    `endNumber` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number

### endNumberList

    public void endNumberList()
                       throws ParseException

  Description copied from interface: `NumberListHandler`
  Invoked when the number list attribute ends.

  Specified by:
    `endNumberList` in interface `NumberListHandler`
  Throws:
    `ParseException` - if an error occures while processing the number list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.